FJ Software Foren-Übersicht  
 Homepage   •  Suchen   •  FAQ   •  Mitgliederliste   •  Registrieren   •  Login
 GSM/UMTS Selection Error Nächstes Thema anzeigen
Vorheriges Thema anzeigen
Neues Thema eröffnenNeue Antwort erstellen
Autor Nachricht
archlives



Anmeldedatum: 05.12.2006
Beiträge: 15

BeitragVerfasst am: Di Dez 05, 2006 12:25 Antworten mit ZitatNach oben

Hi All

Some of you may have noticed that a new great feature has been added to MPE, namely the ability to swop between and choose network types, GSM & UMTS. This is great since UMTS uses more power, ie drains the battery quicker. Also because specifically in my area, I have had problems with 3's UMTS coverage recently, but the phone works fine when piggybacking on O2's GSM signal.

But... Unfortunately it seems a bug causes this choice to cause a problem, at least on some models.

I have had this problem when trying to swop between GSM and UMTS on both the K608i & K610i (using WinXP SP1 with either BT or cable connection). It appears that when selected to operate on only GSM or UMTS through MPE, it works fine. the problem occurs when trying to swop back to GSM&UMTS, it is actually unsuccessful, and appears to be in Flightmode! This is because it assigns the value AT+CFUN=4 when in fact it should be AT+CFUN=1. Thanx to another posting on this forum, I was able to use Hyperterminal to fix the error when I found it consistantly problematic. Shocked

It appears the value AT+CFUN=4 is infact "Flightmode", ie the signal is barred, and sometimes the change causes the "Flightmode" signal icon to be shown (ie no signal strength displayed with a no-entry sign above). Either way, if you attempt to make a call after using the software to assign this mode, on the K608i it just gives a generic error saying it is unavailable, but on the K610i it very specifically states that "The service is unavailable while in Flightmode". Strangely, however, it is still possible to use Bluetooth - I guess that function is disabled by the phone in another way when it correctly boots into Flightmode rather than being changed on the fly.

Hopefully the error will be corrected in the next release of this great software. Unfortunately I see my posting is juts too late for the most recent version, which is still problematic. (Maybe a setting within the software could be created that does correctly enable/disable Flightmode - you already halfway there - as well as give the network function options.)

To anyone wondering how to correct this error, open Hyperterminal and assign a new connection to the active data COM port to your mobile phone. Ignore the "number to dial" that may pop up depending on your COM port choice. Ensure successfull connection by typing in the string "AT" and pressing <ENTER>. Sometimes your own typing won't be visible, again COM port and settings dependant. Either way, it should reply with "OK". Once you know you have a successful connection, to correct the GSM&UMTS error, type the following command:

AT+CFUN=1 <ENTER>

After a short time lapse, it should again reply with "OK". Now you know the correct network mode value has been assigned and you can use both GSM & UMTS networks. Close the connection and exit Hyperterminal.

Hope this helps some other confused people correct this issue. Laughing

Regards,
Arch
Benutzer-Profile anzeigenPrivate Nachricht senden
FJ
Site Admin


Anmeldedatum: 15.02.2006
Beiträge: 30439
Wohnort: Tirol

BeitragVerfasst am: Di Dez 05, 2006 18:44 Antworten mit ZitatNach oben

Very thanks for your excellent report. Its fixed. The problem was that i developed this feature based on the command-reference of SE - there have the values the wrong description.
Benutzer-Profile anzeigenPrivate Nachricht sendenE-Mail sendenICQ-Nummer
archlives



Anmeldedatum: 05.12.2006
Beiträge: 15

BeitragVerfasst am: Mi Dez 13, 2006 15:28 Antworten mit ZitatNach oben

Hi

Glad you got it fixed. Good for you that it wasn't even your fault, but SE's.

Does this mean you have corrected the issue, but not uploaded the fixed install for download? I have just downloaded and installed the latest version and still get the same error.

Thanks,
Arch
Benutzer-Profile anzeigenPrivate Nachricht senden
FJ
Site Admin


Anmeldedatum: 15.02.2006
Beiträge: 30439
Wohnort: Tirol

BeitragVerfasst am: Mi Dez 13, 2006 18:41 Antworten mit ZitatNach oben

I think today i will release v1.5.6
Benutzer-Profile anzeigenPrivate Nachricht sendenE-Mail sendenICQ-Nummer
Beiträge der letzten Zeit anzeigen:      
Neues Thema eröffnenNeue Antwort erstellen


 Gehe zu:   



Nächstes Thema anzeigen
Vorheriges Thema anzeigen
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.

Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme :: Alle Zeiten sind GMT + 1 Stunde
Deutsche Übersetzung von phpBB.de